> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List your MCP server connections and the organization's

> Never returns a credential.



## OpenAPI

````yaml api-reference/openapi.v1.json GET /mcp-server-connections
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /mcp-server-connections:
    get:
      tags:
        - mcp-servers
      summary: List your MCP server connections and the organization's
      description: Never returns a credential.
      operationId: listMcpServerConnections
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/McpServerConnectionListResponse'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgAuthorizationErrorResponse'
          description: Forbidden
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    McpServerConnectionListResponse:
      additionalProperties: false
      properties:
        mcp_server_connections:
          items:
            $ref: '#/components/schemas/McpServerConnection'
          type: array
      required:
        - mcp_server_connections
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
      required:
        - error
      type: object
    OrgAuthorizationErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - org_membership_required
            - org_role_insufficient
            - org_suspended
            - account_deleting
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    McpServerConnection:
      additionalProperties: false
      properties:
        mcp_server_id:
          format: uuid
          type: string
        owner:
          enum:
            - viewer
            - org
          type: string
        reauth_reason:
          enum:
            - invalid_grant
            - insufficient_scope
            - authorizer_left
            - revoked
          type:
            - string
            - 'null'
        state:
          enum:
            - connected
            - needs_reauth
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - mcp_server_id
        - owner
        - state
        - reauth_reason
        - updated_at
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````